//
//  SITRemoteConfiguration.h
//  SitumSDK
//
//  Created by Situm on 11/1/22.
//  Copyright © 2022 Situm. All rights reserved.
//

#import "SITResource.h"
#import "SITLocationRequest.h"

NS_ASSUME_NONNULL_BEGIN

/**
 This class encapsulates all the objects that can be configured remotely using the dashboard. At the moment SITLocationRequest.
 You can use this class only to check the parameters that is being stored on the dashboard but as a developer you should not use objects of this class directly.
 */
@interface SITRemoteConfig : SITResource

/**
 NOTE: You should not use this method. Instead you should call `[SITCommunicationManager fetchRemoteConfigWithOptions:success:failure:]` and use the returned value.
 */
- (instancetype)initWithLocationRequest:(SITLocationRequest *)locationRequest;

/**
 Retrieve a `SITLocationRequest` instance with the parameters stored on the server to initialize the location engine.
 */
- (SITLocationRequest *)locationRequest;

@end

NS_ASSUME_NONNULL_END
